## EXPORT_SPEC int UpnpAddToAction

## ( IN OUT IXML_Document** ActionDoc,
IN const char* ActionName,
IN const char* ServType,
IN const char* ArgName,
IN const char* ArgVal )

> UpnpAddToAction creates an action request packet based on its input parameters (status variable name and value pair).

## Documentation

> UpnpAddToAction creates an action request packet based on its input parameters (status variable name and value pair). This API is specially suitable inside a loop to add any number input parameters into an existing action. If no action document exists in the beginning then a Upnp_Document variable initialized with `NULL` should be passed as a parameter.

Parameters:
  ActionDoc - A pointer to store the action document node.
  - ActionName The action name.
  ServType - The service type.
  ArgName - The status variable name.
  ArgVal - The status variable value.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: One or more of the parameters are invalid.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.